﻿namespace Bvets5
{
    namespace Map
    {
    }
    namespace Vehicle
    {
        public class Paths
        {
            private string performanceCurve;
            private string parameters;
            private string panel;
            private string sound;
            private string motornoise;
        }

        static public class Parameters
        {
            static public class NoSection
            {
                static public bool FirstCar { get; set; }
                static public bool LoadCompensating { get; set; }
            }

            static public class Dynamics
            {
                static public void Initialize()
                {
                    MotorcarWeight = 35000;
                    TrailerWeight = 30000;
                    MotorcarCount = 1;
                    TrailerCount = 1;
                    MotorcarInertiaFactor = 0.1;
                    TrailerInertiaFactor = 0.05;
                    CarLength = 20;
                    RunningResistanceFactorA = 0.351;
                    RunningResistanceFactorB = 9.3;
                    RunningResistanceFactorC = 797;
                    CurveResistanceFactor = 0;
                }

                static public double MotorcarWeight { get; set; }
                static public double TrailerWeight { get; set; }
                static public double MotorcarCount { get; set; }
                static public double TrailerCount { get; set; }
                static public double MotorcarInertiaFactor { get; set; }
                static public double TrailerInertiaFactor { get; set; }
                static public double CarLength { get; set; }
                static public double RunningResistanceFactorA { get; set; }
                static public double RunningResistanceFactorB { get; set; }
                static public double RunningResistanceFactorC { get; set; }
                static public double CurveResistanceFactor { get; set; }
            }

            static public class Original
            {
                static public double MainmotorCount { get; set; }
                static public double LoadCompensating { get; set; }
            }
        }

        namespace PerformanceCurve
        {
            class Paths
            {
                private string force;
                private string maxForce;
                private string current;
                private string maxCurrent;
                private string noLoadCurrent;
                private string parameters;
            }
        }

        static class Panel
        {
            class This
            {
                private int resolution;
                private int left;
                private int top;
                private int right;
                private int bottom;
                private string daytimeImage;
                private string nighttimeImage;
                private int centerX;
                private int centerY;
                private int originX;
                private int originY;
            }

            class PilotLamp
            {
                private string subject;
                private int locationX;
                private int locationY;
                private string daytimeImage;
                private string nighttimeImage;
                private int layer;
            }
        }

        namespace Sound
        {
        }

        class Table
        {
        }
    }
}